/*  
screen.css - MoinMoin Modern CentOS Style.

	Modifications are based on MoinMoin Default modern
	style and Fedora Cora Style Sheets.
	
Alain Reguera Delgado <alain.reguera@gmail.com>
*/


/* debug {
	border: 1px dotted blue;
	}
*/

html {
	background-image:url(../img/moin-html-background.png);
	background-color: #FFF;
	font-family: "DejaVu Sans", "Liberation Sans", sans-serif;
	font-size: 0.85em;
	line-height: 1.25em;
	/* margin: 0; 		/* <- full screen 			*/
	/* margin: 0 1% 0 1%; 	/* <- with 1% of left and right margin	*/
	/* margin: 0 2% 0 2%; 	/* <- with 2% of left and right margin	*/
	margin: 0 4% 0 4%; 	/* <- with 4% of left and right margin	*/
	/* margin: 0 10% 0 10%; /* <- with 10% of left and right margin	*/
	}

body {
	background: #FFF;
	border-width: 10px;
	border-style: solid;
	border-color: #FFF;	
	padding:0;
	}

/* Links */

a:link 	{ text-decoration: none; color: #204C8D }
a:hover	{ text-decoration: underline; color: green; } 
a:active { text-decoration: underline; color: green; } 
a:visited { text-decoration: none; color: #204C8D; }
a:visited:hover { text-decoration: underline; color: green; }
a.nonexistent, a.badinterwiki { color: gray; }

#username a:link { text-decoration: none; color: #EEE; }
#username a:hover { text-decoration: underline; color: #FFF; }
#username a:active { text-decoration: underline; color: #FFF; }
#username a:visited { text-decoration: none; color: #EEE; }
#username a:visited:hover { text-decoration: underline; color: #FFF; }

#pagetrail a:link { text-decoration: none; color: #EEE; }
#pagetrail a:hover { text-decoration: underline; color: #FFF; }
#pagetrail a:active { text-decoration: underline; color: #FFF; }
#pagetrail a:visited { text-decoration: none; color: #EEE; }
#pagetrail a:visited:hover { text-decoration: underline; color: #FFF; }

input {
	/* does strange effect to button (text size becomes bigger when clicking)
	font-size: 1em;
	font-family: Arial, Lucida Grande, sans-serif;
	*/
	}

textarea {
	font-size: 1.4em;
	font-family: "DejaVu Sans Mono", "Liberation Mono", monospace;
	}

.disabled {
	/* IE ignore disabled attribute, but at least show items in gray */
	color: gray;
	}

/* User Interface Styles */

#header {
	margin:0;
	padding: 0;
	background-color: #204C8D;
	background-image: url("../img/moin-header-background.png");
	line-height: 1.0em;
	border:none;
	}

#logo {
	float: left;
	margin: 10px;
	padding: 0;
	/* For text only logo */
	font-size: 1.4em;
	line-height: 1em;
	font-weight: bold;
	}

*[dir="rtl"] #logo {
	float: right;
	}

#logo img {
	vertical-align: middle;
	}

#logo a {
	color: white;
	text-decoration: none;
	}

#header .googlecontent {
	padding: 3px;
	text-align: right;
	}

#username {
	padding: 0;
	margin: 0.4em;
	margin-top: 0;
	text-align: right;
	font-size: 0.82em;
	white-space: nowrap;
	}

*[dir="rtl"] #username {
	text-align: left;
	}

#username li {
	display: inline;
	padding: 0;
	padding-right: 0.5em;
	}

#username form {
	display: inline;
	}

#username input {
	display: inline;
	padding: 0;
	margin: 0;
	border: none;
	background: #E7E7E7; /* inherit doesnt work on IE */
	color: blue;
	font-size: 0.82em;
	cursor: pointer;
	}

#username input:hover {
	color: red;
	}

#searchform {
	color: #FFFFFF; 
	float:right;
	margin-right: 0;
	padding: 0;
	white-space: nowrap;
	}

*[dir="rtl"] #searchform {
	float: left;
	}

#searchform input{
	font-size: 0.85em;
	padding: 1px;
	padding-left: 3px;
	}

#searchinput {
	background: #EDF4FF;
	border-width: 2px;
	border-style: solid;
	border-color: #204C8D;
	color: #204C8D;
	display: inline;
	width: 130px;
	}

#titlesearch, #fullsearch {
	border-width: 1px;
	border-style: solid;
	border-color: #204C8D;
	background: #3B71B8; /* inherit doesnt work on IE */
	color: #FFFFFF;
	cursor: pointer;
	display: inline;
	font-weight: bold;
	text-decoration: none;
	}

#searchform label {
	display: block;
	}


#searchform form div {
	display: inline;
	}

#pagetrail {
	font-size: 0.82em;
	margin:0.4em;
	padding:0;
	padding-right: 0.5em;
	text-align: right;
	}

*[dir="rtl"] #pagetrail {
	clear: left;
	}

#interwiki {
        margin-right: 0.5em;
        float:left;
        font-size: 1em;
	}

*[dir="rtl"] #interwiki {
	display: inline;
	margin-right: 5px;
	font-size: 1em;
	}

#interwiki span:after {
	content: ":";
	}

#locationline {
	padding-left: 20px;
	padding-right: 20px;
	}

*[dir="rtl"] #locationline {
	clear: left;
	}

#pagelocation {
	margin: 0;
	margin-top: 1em;
	margin-bottom: 0.5em;
	padding: 0;
	}

#pagelocation li {
	display: inline;
	color: #3B639B;
	}

#pagetrail li {
	display: inline;
	margin: 0;
	color: #EEEEEE;
	}

/* XXX Warning: non-ascii characters! */

#pagetrail li:after {
	content: " » ";
	}

*[dir="rtl"] #pagetrail li:after {
	content: " « ";
	}

#pagetrail li:last-child:after {
	content: "";
	}

#pagelocation li:after {
	content: " » ";
	}

*[dir="rtl"] #pagelocation li:after {
	content: " \\ "; /* TODO: check what looks best with RTL */
	}

#pagelocation li:last-child:after {
	content: "";
	}

.navibar {
	/* Problem: clear: right; aligns nicely right of
	 * logo, but lets it float high in the header,
	 * disconnected from ground */	
	clear: both;
	display: block;
	height: 20px;
	padding: 0;
	padding-left: 20px;
	margin: 0;
	font-size: 0.9em;

	/* For avoiding a gap between navibar and pageline
	 * on IE */
	zoom: 1;
	}

.navibar li {
	float: left;
	display: inline;
	white-space: nowrap;
	margin-left: 3px;
	padding-top: 5px;
	padding-bottom: 5px;
	border-width: 1px;
	border-style: solid;
	border-color: #628ECA;
	background-color: #FFF;
	background-image: url("../img/moin-navibartop-bg.png");
	background-position: left top;
	background-repeat: repeat-x;
	}

*[dir="rtl"] .navibar li {
	float: right;
	}

.navibar li.wikilink {
	/*background: #3967a3; /*url(../img/tab-wiki.png) repeat-x;*/
	}

.navibar li.userlink {
	/*background: #E6EAF0; /*url(../img/tab-user.png) repeat-x;*/
	}

.navibar li a {	
	/* To cover the box area as linkable */
	padding: 8px;
	padding-top: 4px;
	padding-bottom: 5px;
	}

.navibar a, .navibar a:visited {
	color: #204C8D;
	text-decoration: none;
	}

.navibar li.current a {
	color: #FFFFFF;
	text-decoration: none;
	font-weight: bold;
	}

.navibar li:hover {
	background-color: #628ECA;
	background-image: url("../img/moin-navibartop-hover-bg.png");
	background-position: left top;
	background-repeat: repeat-x;
	}

.navibar li:hover a {
	color: #FFFFFF;
	text-decoration: none;
	}

.navibar li:hover a:active { color:#FFF; text-decoration:none;}
.navibar li a:active { color:#204C8D; text-decoration:none;}

.navibar li.current, 
.navibar li.current:hover, 
.navibar li.current:hover a, 
.navibar li.current:active a {
	color: #FFFFFF;
	background-color: #628ECA;
	background-image: url("../img/moin-navibartop-hover-bg.png"); 
	background-position: left top;
	background-repeat: repeat-x;
	}

.pageline {
	clear: both;
	margin: 0;
	padding: 0;
	width: 100%;
	/* sync these values, line-height is needed for IE */
	height: 5px;
	line-height: 5px;
	background: #628ECA;
	}

.editbar {
	clear: both;
	display: block;
	margin: 0;
	padding-left: 20px;
	white-space: nowrap;
	background: #EDF4FF; 
	font-size: 0.9em;
	}

.editbar form, .editbar form div {
	display: inline;
	margin: 0px;
	}

.editbar li {
	display: inline;
	padding: 0;
	margin-right: 10px;
	}

*[dir="rtl"] .editbar li {
	float: right;
	}

#header .editbar {
	border-bottom-width: 2px;
	border-bottom-style: dotted;
	border-bottom-color: #628ECA;
	border-top-width: 1px;
	border-top-style: solid;
	border-top-color: #C9C9C9;
	}

#message {
	margin-top: 2em;
	margin-right: 10%;
	margin-bottom: 2em;
	margin-left: 10%;
	padding-top: 1em;
	padding-right: 1em;
	padding-bottom: 1em;
	padding-left: 1.5em;
	border-top-width: 4px;
	border-top-style: solid;
	border-top-color: #D2E0F6;
	border-bottom-width: 4px;
	border-bottom-style: solid;
	border-bottom-color: #D2E0F6;
	background-color: #ECF4FF;
	background-image: url("../img/moin-msg-bg-blue.png");
	}

#message p {
	font-weight: bold;
        line-height: 1.5em;
	margin: 0;
	padding-top: 1em;
	padding-right: 2em;
	padding-bottom: 1em;
	padding-left: 2em;
	}

#message div.buttons {
        font-weight: normal;
	font-size: small;
	margin-top: 0.5em;
	}

.dialog form {
	margin: 0 15px;
	}

.dialog td {
	border: none;
	padding: 5px;
	}

.dialog td.label {
	text-align: right;
	font-weight: bold;
	width: 25%;
	}

*[dir="rtl"] .dialog td.label {
	text-align: left;
	}

.dialog td.content input {
	width: 100%;
	}

#page {
	padding-top: 0;
	padding-right: 20px;
	padding-bottom: 0;
	padding-left: 20px;
	background: #FFF;

	/* theses are some Firefox 1.5b1 specific extensions, see also the CSS3 draft.
	-moz-column-width: 25em;
	-moz-column-gap: 2em;
	-moz-column-rule: solid black 0.3em;     --   doesn"t work yet with 1.5b1!

	TODO: make text/gui editor NOT use #page css, we don"t want columns there!
	*/
	}

/* We use here dumb css1 ids because of IE suckiness */

#editor-textarea, #editor-help {
	font-family: monospace;
	border-width: 1px;
	border-style: solid;
	border-color: #8CACBB;
	color: black;
	background: #FFF;
	padding: 3px;
	width: 100%;
	margin-top: 0.5em;
	}

#editor-help {
	font-family: "DejaVu Sans Mono", "Liberation Mono", monospace;
	font-size: small;
	padding: 1em;
	padding-top:0;
	border-width: 1px;
	border-style: solid;
	border-color: #D2E0F6;
	background-color: #ECF4FF;
	background-image: url("../img/moin-msg-bg-blue.png");
	width:97%;
	}

#editor-comment {
	font-size: 100%;
	border-width: 1px;
	border-style: solid;
	border-color: #8CACBB;
	color: black;
	background: #FFF;
	vertical-align: middle;
	padding: 1px;
	display: inline;
	width: 70%;
	}

#preview, #previewbelow {
	border-width: 1px;
	border-style: solid;
	border-color: #6C7680;
	padding-top: 10px;
	padding-right: 30px;
	padding-bottom: 20px;
	padding-left: 30px;
	background: url("../img/draft.png");
	margin-top: 0.5em;
	}

input.button {
	/*
	border: 1px solid #8CACBB;  
	color: black;
	background: #CCCCCC;
	vertical-align: middle;
	text-decoration: none;
	font-size: 100%;
	cursor: pointer;
	margin: 2px;
	padding: 1px;
	display: inline;
	*/
	}

/* Headings */

#editortitle li {
	font-size: 1.4em;
	font-weight: bold;
	margin-top: 0.5em;
	margin-bottom: 0.5em;
	margin-left: 20px;
	}

#page h1 {
	font-size: 1.7em;
	font-weight: bold;
	line-height: 1.9em;
	margin: 0;
	margin-bottom: 0.9em;
	padding-left: 0.7em; /* Should be the same for h{1-4} */
	color: #FFF;
	border: none;
	background-color: #204C8D;
	background-image: url("../img/moin-h1-background.png");
	}

#page h2 {
	font-size: 1.4em;
	line-height: 1.8em;
	margin: 0;
	margin-top: 1.6em;
	margin-bottom: 0.8em;
	padding-left: 0.7em; /* Should be the same for h{1-4}*/
	background-image: url("../img/moin-h2-background.png");
	border: none;
	color: #072B61;
	}

/* h2 emulation */

#page .table-of-contents-heading {
	font-size: 1.3em;
	font-weight: bold;
	line-height: 1.8em;
	margin: 0;
	margin-bottom: 10px;
	padding-left: 0.7em; /* Should be the same for h{1-4} */
	color: #072B61;
	background-color: #FFF;
	background-image: url("../img/moin-h2-background.png");
	}

#page h3 {
	font-size: 1.25em;
	line-height: 1.6em;
	margin-top: 1em;
	margin-bottom: 0.5em;
	padding-left: 0.7em; /* Should be the same for h{1-4} */
	color: #072B61;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #DADADA;
	}

#page h4 {
	font-size: 1.2em;
	line-height: 1.4em;
	margin-top: 1em;
	margin-bottom: 0.5em;
	padding-left: 0.7em; /* Should be the same for h{1-4} */
	color: #2963A6;
	border-bottom: none;
	}

#page h5 {
	font-size: 1.1em;
	line-height: 1.1em;
	margin-top: 1em;
	margin-bottom: 0.5em;
	padding-left: 1.5em;
	color: #072B61;
	font-weight: bold;
	border-bottom: none;
	}

#page h6 {
	font-size: 1em;
	line-height: 1.1em;
	margin-top: 1em;
	margin-bottom: 0.5em;
	padding-left: 1.5em;
	color: #000;
	font-weight: bold;
	border-bottom: none;
	}

#page pre {
	border-width: 1px;
	border-style: solid;
	border-color: #E5E5E5;
	border-left-width: 4px;
	white-space: pre;
	background: #FFFAE9;
	}

#page tt {
	font-family: "DejaVu Sans Mono", "Liberation Mono", monospace;
	white-space: pre;
	}

/* Push stuff inside of headings */

#page p,
#page hr,
#page pre,
#page table,
#page .table-of-contents { 
	margin-left: 1.5em; 
	}

/* Various */

#page p {
	margin-bottom: 1.3em;
	line-height: 1.5em;
	padding-left: 0;
	}

#page td > p {
	margin: 0.5em !important; 
	}

td { 
	border-width: 1pt;
	border-style: solid;
	border-color: #CCC;
	}

/* Recent Changes Table */

.recentchanges td {
	font-size: 0.88em;
	vertical-align: top;
	border: none;
	border-top-style: solid;
	border-top-color: #EDEDED;
	border-top-width: 1px;
	border-left-style: solid;
	border-left-color: #EDEDED;
	border-left-width: 1px;
	background: #fdfdfd;
	}

.rcdaybreak td {
	font-size: 0.88em;
	border-color: #CCC;
	border-width: 1pt;
	border-style: solid;
	border-left: none;
	border-right: none;
	background-color: #FFF;
	background-image: url("../img/moin-h2-background.png");
	}

/* Lists */

#page ul,
#page ol {
	padding-left: 0.5em;
	margin-left: 3em;
	margin-bottom: 0.3em;
	}

#page ul { 
	list-style: url("../img/moin-ul.png") circle; 
	} 

#page ol {
	list-style-image: none !important;
	}

#page ul li {
	padding-left: 0em;
	margin-bottom: 0.3em;
	}

#page ol li {
	padding-left: 0em;
	margin-bottom: 0.3em;
	}

#page ul ul,
#page ul ol,
#page ol ul,
#page ol ol {
	margin-left: 1.5em;
	margin-top: 0.3em;
	}

#page ul li p,
#page ol li p {
	margin-bottom: 0.3em;
	line-height: 1.5em;
	margin-left: 0 !important;
	}

/* Admonition Support */

.lmimg {
	background-color: #ECECEC;
	background-image: url("../img/moin-msg-bg-gray.png");
	width: 1%;
	border-width: 1px;
	border-style: solid;
	border-color: #CFCFCF;
	border-left-width: 4px;
	border-right-width: 0;
	padding: 1em;
	padding-right: 0;
	}

.lmtxt {
	background-color: #ECECEC;
	background-image: url("../img/moin-msg-bg-gray.png");
	width:99%;
	border-width: 1px;
	border-style: solid;
	border-color: #CFCFCF;
	border-left: 0;
	padding: 1em;
	padding-left: 0.5em;
	}

.lmimg.red,
.lmtxt.red { 
	border-color: #E0B7B7;
	background-color: #FFECEC;
	background-image: url("../img/moin-msg-bg-red.png");
	}

.lmimg.green,
.lmtxt.green { 
	border-color: #D6F6D2;
	background-color: #EEFFEC;
	background-image: url("../img/moin-msg-bg-green.png");
	}

.lmimg.violet,
.lmtxt.violet { 
	border-color: #F6D2F6; 
	background-color: #FFECFF;
	background-image: url("../img/moin-msg-bg-violet.png");
	}

.lmimg.blue,
.lmtxt.blue { 
	border-color: #D2E0F6; 
	background-color: #ECF4FF;
	background-image: url("../img/moin-msg-bg-blue.png");
	}

.lmimg.orange,
.lmtxt.orange { 
	border-color: #F6E7D2; 
	background-color: #FFF8EC;
	background-image: url("../img/moin-msg-bg-orange.png");
	}

/* Differences Between Revisions */

.diff {
	width:99%;
	}

.diff-header {
	font-weight: bold;
	}

.diff-title {
	background: #C0C0C0;
	}

.diff-added {
	background: #E0FFE0;
	vertical-align: sub;
	}

.diff-removed {
	background: #FFFFE0;
	vertical-align: sub;
	}

.diff-added span {
	background: #80FF80;
	}

.diff-removed span {
	background: #FFFF80;
	}

/* Navigation Table */

table.navigation {
	float: right;
	margin: 2px;
	background: #FFFFFF;
	}

/* Footer */

#footer {
	clear: both;
	margin-top: 20px;
	padding-bottom: 1em;
	background-color: #204C8D;
	background-image: url("../img/moin-header-background.png");
	}

#footer .editbar {
	border-top-width: 2px;
	border-top-style: dotted;
	border-top-color: #628EAC;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #C9C9C9;
	}

#footer .navibar li {
	background-color: #FFF;
	background-image: url("../img/moin-navibarbottom-bg.png");
	background-position: left bottom;
	background-repeat: repeat-x;
	}

#footer .navibar li:hover {
	background-color: #628ECA;
	background-image: url("../img/moin-navibarbottom-hover-bg.png");
	background-position: left bottom;
	background-repeat: repeat-x;
	}

#footer .navibar li.current, 
#footer .navibar li.current:hover, 
#footer .navibar li.current:hover a, 
#footer .navibar li.current:active a {
	color: #FFFFFF;
	background-color: #628ECA;
	background-image: url("../img/moin-navibarbottom-hover-bg.png"); 
	background-position: left top;
	background-repeat: repeat-x;
	}

#credits, #version, #timings {
	text-align: center;
	font-size: 0.88em;
	padding: 0;
	margin-top: 2.5em;
	color: #EEE;
	}

#credits a { 
	color: #EEE; 
	}

#credits a:hover {
	text-decoration: underline;
	}

#credits li, #timings li {
	display: inline;
	padding-right: 2px;
	margin-right: 4px;
	color: #EEE;
	}

#credits img {
	vertical-align: middle;
	}
